Package org.apache.sysds.runtime.einsum

# Class EOpNode

java.lang.Object
org.apache.sysds.runtime.einsum.EOpNode

Direct Known Subclasses:
  `EOpNodeBinary`, `EOpNodeData`, `EOpNodeFuse`, `EOpNodeUnary`

public abstract class EOpNode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Character`
`c1`
`Character`
`c2`
`Integer`
`dim1`
`Integer`
`dim2`

## Constructor Summary

Constructors
Constructor
Description
`EOpNode(Character c1, Character c2, Integer dim1, Integer dim2)`

## Method Summary

Modifier and Type
Method
Description
`abstract MatrixBlock`
`computeEOpNode(List<MatrixBlock> inputs, int numOfThreads, org.apache.commons.logging.Log LOG)`
`abstract List<EOpNode>`
`getChildren()`
`String`
`getOutputString()`
`String[]`
`recursivePrintString()`
`abstract EOpNode`
`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### c1

public Character c1

### c2

public Character c2

### dim1

public Integer dim1

### dim2

public Integer dim2

## Constructor Details

### EOpNode

public EOpNode(Character c1, Character c2, Integer dim1, Integer dim2)

## Method Details

### getOutputString

public String getOutputString()

### getChildren

public abstract List<EOpNode> getChildren()

### recursivePrintString

public String[] recursivePrintString()

### computeEOpNode

public abstract MatrixBlock computeEOpNode(List<MatrixBlock> inputs, int numOfThreads, org.apache.commons.logging.Log LOG)

### reorderChildrenAndOptimize

public abstract EOpNode reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)